Debian Bug report logs - #604212
capi4hylafax: installation fails

version graph

Package: hylafax-server; Maintainer for hylafax-server is Giuseppe Sacco <eppesuig@debian.org>; Source for hylafax-server is src:hylafax.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sun, 21 Nov 2010 10:09:37 UTC

Severity: serious

Tags: patch

Merged with 604221

Found in version hylafax/2:6.0.5-3

Fixed in version hylafax/2:6.0.5-4.1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Lionel Elie Mamane <lmamane@debian.org>:
Bug#604212; Package capi4hylafax. (Sun, 21 Nov 2010 10:09:41 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Lionel Elie Mamane <lmamane@debian.org>. (Sun, 21 Nov 2010 10:09:41 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: capi4hylafax: installation fails
Date: Sun, 21 Nov 2010 10:49:23 +0100
Package: capi4hylafax
Version: 1:01.03.00.99.svn.300-16
Severity: serious
User: debian-qa@lists.debian.org
Usertags: instest-20101120 instest

Hi,

While testing the installation of all packages in unstable, I ran
into the following problem:

> Reading package lists...
> Building dependency tree...
> Reading state information...
> Starting
> Starting 2
> Done
> Suggested packages:
> dialog
> Recommended packages:
> isdnactivecards
> The following NEW packages will be installed:
> capi4hylafax
> 0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
> 1 not fully installed or removed.
> Need to get 225 kB of archives.
> After this operation, 709 kB of additional disk space will be used.
> Get:1 http://localhost/debian/ squeeze/main capi4hylafax amd64 1:01.03.00.99.svn.300-16 [225 kB]
> Fetched 225 kB in 0s (927 kB/s)
> Selecting previously deselected package capi4hylafax.
> (Reading database ... 10958 files and directories currently installed.)
> Unpacking capi4hylafax (from .../capi4hylafax_1%3a01.03.00.99.svn.300-16_amd64.deb) ...
> Adding 'diversion of /usr/sbin/faxsend to /usr/sbin/faxsend.hylafax by capi4hylafax'
> Setting up hylafax-server (2:6.0.5-3) ...
> invoke-rc.d: policy-rc.d denied execution of stop.
> awk: cmd. line:1: fatal: cannot open file `/etc/mtab' for reading (No such file or directory)
> dpkg: error processing hylafax-server (--configure):
> subprocess installed post-installation script returned error exit status 2
> Setting up capi4hylafax (1:01.03.00.99.svn.300-16) ...
> configured to not write apport reports
> invoke-rc.d: policy-rc.d denied execution of start.
> Errors were encountered while processing:
> hylafax-server
> E: Sub-process /usr/bin/dpkg returned an error code (1)

/etc/mtab is not available in a minimal debian chroot.

The full build log is available from:
 http://people.debian.org/~lucas/logs/2010/11/20/capi4hylafax.log

It is reproducible by installing your package in a clean chroot, using
the debconf Noninteractive frontend, and priority: critical.

This test was carried out using about 50 AMD64 nodes of the Grid'5000
platform.  Internet was not accessible from the nodes.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Lionel Elie Mamane <lmamane@debian.org>:
Bug#604212; Package capi4hylafax. (Sun, 21 Nov 2010 16:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lionel Elie Mamane <lionel@mamane.lu>:
Extra info received and forwarded to list. Copy sent to Lionel Elie Mamane <lmamane@debian.org>. (Sun, 21 Nov 2010 16:39:05 GMT) Full text and rfc822 format available.

Message #10 received at 604212@bugs.debian.org (full text, mbox):

From: Lionel Elie Mamane <lionel@mamane.lu>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 604212@bugs.debian.org
Subject: Re: Bug#604212: capi4hylafax: installation fails
Date: Sun, 21 Nov 2010 17:19:14 +0100
On Sun, Nov 21, 2010 at 10:49:23AM +0100, Lucas Nussbaum wrote:

> While testing the installation of all packages in unstable, I ran
> into the following problem:

Which looks to me like a problem in hylafax-server, not capi4hylafax.

>> Setting up hylafax-server (2:6.0.5-3) ...
>> invoke-rc.d: policy-rc.d denied execution of stop.
>> awk: cmd. line:1: fatal: cannot open file `/etc/mtab' for reading (No such file or directory)
>> dpkg: error processing hylafax-server (--configure):
>> subprocess installed post-installation script returned error exit status 2

>> Errors were encountered while processing:
>> hylafax-server
>> E: Sub-process /usr/bin/dpkg returned an error code (1)

-- 
Lionelx




Message sent on to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug#604212. (Tue, 23 Nov 2010 08:48:11 GMT) Full text and rfc822 format available.

Message #13 received at 604212-submitter@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: 604212-submitter@bugs.debian.org
Subject: Re: capi4hylafax: installation fails
Date: Tue, 23 Nov 2010 17:46:43 +0900
Hi,

 I cannot reproduce it with piuparts.

> >> Setting up hylafax-server (2:6.0.5-3) ...
> >> invoke-rc.d: policy-rc.d denied execution of stop.
> >> awk: cmd. line:1: fatal: cannot open file `/etc/mtab' for reading (No such file or directory)
> >> dpkg: error processing hylafax-server (--configure):
> >> subprocess installed post-installation script returned error exit status 2

 It's something wrong, why there is no /etc/mtab file?
 

-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane




Information stored :
Bug#604212; Package capi4hylafax. (Fri, 26 Nov 2010 21:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and filed, but not forwarded. (Fri, 26 Nov 2010 21:27:05 GMT) Full text and rfc822 format available.

Message #18 received at 604212-quiet@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Hideki Yamane <henrich@debian.or.jp>, 604212-quiet@bugs.debian.org
Subject: Re: Bug#604212: capi4hylafax: installation fails
Date: Fri, 26 Nov 2010 22:01:07 +0100
On 23/11/10 at 17:46 +0900, Hideki Yamane wrote:
> Hi,
> 
>  I cannot reproduce it with piuparts.
> 
> > >> Setting up hylafax-server (2:6.0.5-3) ...
> > >> invoke-rc.d: policy-rc.d denied execution of stop.
> > >> awk: cmd. line:1: fatal: cannot open file `/etc/mtab' for reading (No such file or directory)
> > >> dpkg: error processing hylafax-server (--configure):
> > >> subprocess installed post-installation script returned error exit status 2
> 
>  It's something wrong, why there is no /etc/mtab file?

Because the test is running in a chroot. But I'm not sure if this is a
valid reason or not.

- Lucas




Bug reassigned from package 'capi4hylafax' to 'hylafax-server'. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 28 Nov 2010 13:15:21 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions capi4hylafax/1:01.03.00.99.svn.300-16. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 28 Nov 2010 13:15:21 GMT) Full text and rfc822 format available.

Merged 604212 604221. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 28 Nov 2010 13:15:22 GMT) Full text and rfc822 format available.

Added indication that 604212 affects capi4hylafax Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 28 Nov 2010 13:15:24 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Fri, 10 Dec 2010 16:39:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 15 Jan 2011 07:31:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:18:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.